<template>
  <vol-box v-model="show" title="指定出库" :width="800" :height="600">
    <template #content>
      <el-form ref="form" :model="form" label-width="90px">
        <el-form-item label="车轮条码">
          <el-input type="text" v-model="this.form.palletCode" readonly></el-input>
        </el-form-item>
        <el-form-item label="站台" prop="station">
          <el-select v-model="form.station" placeholder="请选择下料口">
            <el-option label="上料口(2009)" value="2009" />
            <el-option label="左侧下料口(2032)" value="2032" />
            <el-option label="右侧下料口(2042)" value="2042" />
          </el-select>
        </el-form-item>
      </el-form>
    </template>
    <template #footer>
      <div>
        <el-button type="danger" size="small" plain @click="submit">
          <i class="el-icon-check">确认</i>
        </el-button>
        <el-button size="small" type="primary" plain @click="() => {
          this.show = false;
        }
        ">
          <i class="el-icon-close">关闭</i>
        </el-button>
      </div>
    </template>
  </vol-box>
</template>

<script>
import VolBox from "@/components/basic/VolBox.vue";
export default {
  components: {
    "vol-box": VolBox,
  },
  data() {
    return {
      form: {
        palletCode: "",
        station: "",

      },
      show: false,
    };
  },
  methods: {
    open(palletCode) {
      this.show = true;
      this.form.palletCode = palletCode;
    },
    submit() {
      this.$emit("parentCall", ($vue) => {
        if (
          !this.form.station ||
          !this.form.palletCode ||
          this.form.station == "" ||
          this.form.palletCode == ""
        ) {
          this.$message.error("请选择出库口");
          return;
        }

        console.log(this.form);
        var parm = {
            MainData: {
              station: this.form.station,
              palletCode: this.form.palletCode,
            },
          };
        this.http.post("/api/Task/CreateAndSendOutboundTask",parm, true).then((x) => {
          if (!x.status) {
            this.$message.error(x.message);
          } else {
            this.$Message.success("成功");
            this.form.palletCode='';
            this.form.station='';
            this.show = false;
            $vue.refresh();
          }
        });

      });
    },
  },

};
</script>